unit Utils;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls;

procedure MsgError(s: String);
function StrLeft(s: String; iLength: Integer): String;
function IntIif(lFirst: Boolean; iA: Integer; iB: Integer): Integer;

// =================================================================
implementation

// -----------------------------------------------------------------
// show an error message
procedure MsgError(s: String);
begin
	MessageDlg(s, mtError, [mbOk], 0);
end;


// -----------------------------------------------------------------
// return the leftmost portion of a string
function StrLeft(s: String; iLength: Integer): String;
begin
	result := copy(s, 1, iLength);
end;

// -----------------------------------------------------------------
// immediate if for integers
function IntIif(lFirst: Boolean; iA: Integer; iB: Integer): Integer;
begin
	if lFirst then
		result := iA
	else
		result := iB;
end;



end.
