unit Emitter;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls;

type

	TEmitter = class
	public
		memo: TMemo;
		constructor Create(AMemo: TMemo);
		destructor Destroy; override;
		procedure Emit(sTxt: String);
	end;

var
	emit: TEmitter;

// ====================================================
implementation

{ TEmitter }

// ------------------------------------------------------
// class constructor
constructor TEmitter.Create(AMemo: TMemo);
begin
	memo := AMemo;
end;

// ------------------------------------------------------
// class destructor
destructor TEmitter.Destroy;
begin
	inherited;

end;

// ------------------------------------------------------
// emit some text
procedure TEmitter.Emit(sTxt: String);
begin
	if memo.Lines.Count >= 100 then
		memo.Lines.Clear;

	memo.Lines.Add(sTxt);
end;

end.
